Get invoice details by ID

This endpoint retrieves invoice information by ID. Use it to access detailed invoice data for reference or verification. Token scopes: worker:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

invoice_idstringRequired
Public invoice id for the invoice to return.

Response

Invoice detail
dataobject

Invoice summary (snake_case; display card fields, amounts, and payment display).

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error